import { MongoClient } from 'mongodb';
import { useConfig } from '@abearxiong/use-config';
const { mongo } = useConfig<{ host: string; password: string; username: string }>();
export const client = new MongoClient(`mongodb://${mongo.username}:${mongo.password}@${mongo.host}`, {});

// 当连接成功时，打印出连接成功的信息
client
  .connect()
  .then(() => {
    console.log('mongo Connected successfully to server');
  })
  .catch((err) => {
    console.error(err);
  });
